/**
* ---------------------------------------------------------------------------------------------------
* [clearfix]
* ---------------------------------------------------------------------------------------------------
*/
.cf:after{
	content: ".";
	display: block;
	height: 0;
	font-size: 0;
	clear: both;
	visibility: hidden;
}
.cf{
	display: inline-block;
}
* html .cf{
	height: 1%;
}
.cf{
	display: block;
}
/**
* ---------------------------------------------------------------------------------------------------
* [hidetext]
* ---------------------------------------------------------------------------------------------------
*/
.ht{
	text-indent: 100%;
	white-space: nowrap;
	overflow: hidden;
	height: 0;
	width: 0;
}
/**
* ---------------------------------------------------------------------------------------------------
* [others]
* ---------------------------------------------------------------------------------------------------
*/
.fl{
	float: left;
}
.fr{
	float: right;
}
.none{
	display: none;
}